%define name gai-album
%define version 0.7
%define release 1mdk

Name: %name
Summary: Displays the front CD cover of the album played by XMMS
Version: %{version}
Release: %{release}
License: GPL
Url: http://gai.sf.net
Group: Sound
Source: http://prdownloads.sourceforge.net/gai/%{name}-%{version}.tar.bz2
Source10:   %{name}-16.png
Source11:   %{name}-32.png
Source12:   %{name}-48.png
Patch: gai-album-0.7-rox-install.patch.bz2
BuildRoot: %{_tmppath}/build-root-%{name}
BuildRequires: xmms-devel
BuildRequires: libgai-devel >= 0.5.3

%description
A GAI applet displaying the front CD cover of the album played by
XMMS. 

This applet can be used in the GNOME and ROX Panels and as a
WindowMaker dockapp. Other panels and Window Managers will be
supported soon.

%prep
%setup -q 
%patch -p1

%build
%configure2_5x
%make 

%install
rm -rf ${RPM_BUILD_ROOT}
%makeinstall_std
install -m644 %SOURCE10 -D %{buildroot}/%_miconsdir/%name.png
install -m644 %SOURCE11 -D %{buildroot}/%_iconsdir/%name.png
install -m644 %SOURCE12 -D %{buildroot}/%_liconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > %{buildroot}/%{_menudir}/%{name} 
?package(%name): command="%{_bindir}/%name" icon="%name.png" \
                needs="X11" section="Multimedia/Sound" \
 title="Gai-album" longtitle="Xmms cover viewer"
EOF


%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus

%postun
%clean_menus

%files
%defattr(-,root,root,0755)
%doc README README.gai
%{_bindir}/*
%{_libdir}/bonobo/servers/GNOME_%{name}Applet.server
%_libdir/apps/*
%{_menudir}/%name
%{_datadir}/pixmaps/*
%{_iconsdir}/%name.png
%{_liconsdir}/%name.png
%{_miconsdir}/%name.png

%changelog
* Tue Jul  6 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.7-1mdk
- update patch
- New release 0.7

* Wed Apr 21 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.6-3mdk
- update description (again)
- fix ROX installation

* Tue Apr 20 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.6-2mdk
- fix description

* Tue Apr 20 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.6-1mdk
- fix source location
- new version

* Mon Apr 12 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.5-1mdk
- new version

* Sat Apr  3 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.4-1mdk
- fix installation
- requires new gai
- new version

* Mon Mar  1 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.2-1mdk
- new version

* Sat Nov  1 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.1-3mdk
- rebuild for new gai

* Wed Oct  1 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.1-2mdk
- use the right configure macro
- small spec fix
- fix buildrequires

* Mon Sep 15 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.1-1mdk 
- From Bellegarde Cedric <gnumdk@wanadoo.fr>
   - Make a spec file
